<?xml version="1.0" encoding="utf-8" ?>
<PluginList>
	
	
	
	<Plugin id="Sasha-Polyphony Control" name="s Polyphony" category="Sasha Modules/MIDI" helpUrl="">

		<Parameters>
			<Parameter id="0" name="Voice Mode"  datatype="int"    private="true" />
		</Parameters>

		<Audio>
			<Pin name="Parameter Voice Mode"     datatype="int"    parameterId="0" />
			<Pin name="Voice Mode"               datatype="enum"   direction="out" />
		</Audio>

		<GUI>
			<Pin name="Parameter Voice Mode"     datatype="int"    parameterId="0" />
			<Pin name="Voice Mode"               datatype="int"    direction="out" />
			<Pin name="Voice Mode List"          datatype="string" direction="out" />
			
			<Pin name="Host Polyphony"           datatype="int"    hostConnect="Polyphony" />
			<Pin name="Host Polyphony Reserve"   datatype="int"    hostConnect="ReserveVoices" />
			<Pin name="Host VoiceAllocationMode" datatype="int"    hostConnect="VoiceAllocationMode" />
			<Pin name="Host PortamentoTime"      datatype="float"  hostConnect="Portamento" />
			<Pin name="Host BenderRange"         datatype="float"  hostConnect="BenderRange" />
		</GUI>

	</Plugin>



	<Plugin id="Sasha-Polyphony Control 2" name="s Polyphony Control 2" category="Sasha Modules/MIDI" helpUrl="pc2.html">

		<Parameters>
			<Parameter id="0" name="Portamento PM" datatype="float" />
		</Parameters>

		<Audio>
			<Pin name="Portamento PM" datatype="float" parameterId="0" />
			<Pin name="Portamento"    datatype="float" />
		</Audio>
		
		<GUI graphicsApi="none">

			<Pin name="Portamento PM" datatype="float" parameterId="0" />
			
			<Pin name="Host Polyphony" direction="in" datatype="int" hostConnect="Polyphony" />
			<Pin name="Host Polyphony Reserve" direction="in" datatype="int" hostConnect="ReserveVoices" />
			<Pin name="Host VoiceAllocationMode" direction="in" datatype="int" hostConnect="VoiceAllocationMode"/>
			<Pin name="Host PortamentoTime" hostConnect="Portamento" />
			<Pin name="Host BenderRange" hostConnect="BenderRange" />

			<Pin name="Polyphony" direction="out" datatype="int"/>
			<Pin name="Item List" direction="out" datatype="string"/>
			<Pin name="Polyphony Reserve" direction="out" datatype="int"/>
			<Pin name="Item List" direction="out" datatype="string"/>
			<Pin name="Voice Stealing" direction="out" datatype="int"/>
			<Pin name="Item List" direction="out" datatype="string"/>

			<Pin name="Mono Mode" direction="out" datatype="bool" />
			<Pin name="Mono Retrigger" direction="out" datatype="bool" />
			<Pin name="Mono Note Priority" direction="out" datatype="int"/>
			<Pin name="Item List" direction="out" datatype="string"/>

			<Pin name="Glide" direction="out"/>
			<Pin name="Glide Mode" direction="out" datatype="int"/>
			<Pin name="Item List" direction="out" datatype="string"/>
			<Pin name="Glide Timing" direction="out" datatype="int"/>
			<Pin name="Item List" direction="out" datatype="string"/>

			<Pin name="BenderRange" direction="out" datatype="int"/>
			<Pin name="Item List" direction="out" datatype="string"/>

			<Pin name="Voice Refresh" direction="out" datatype="int"/>
			<Pin name="Item List" direction="out" datatype="string"/>
		</GUI>
		
	</Plugin>
	
	
	
	<!--<Plugin id="Sasha-Polyphony ControlX" name="s PolyphonyX" category="Sasha Modules/MIDI" helpUrl="">

		<Parameters>
			<Parameter id="0" name="Voice Mode"  datatype="int" private="true" />
			<Parameter id="1" name="Voice Count" datatype="int" private="true" />
		</Parameters>

		<Audio>
			<Pin name="Parameter Voice Mode"  datatype="int" parameterId="0" />
			<Pin name="Parameter Voice Count" datatype="int" parameterId="1" />
			<Pin name="Voice Mode (4)"  datatype="enum" direction="out" />
			<Pin name="Voice Count (8)" datatype="enum" direction="out" />
		</Audio>
		
		<GUI graphicsApi="none">
			<Pin name="Parameter Voice Mode"  datatype="int" parameterId="0" />
			<Pin name="Parameter Voice Count" datatype="int" parameterId="1" />
			<Pin name="Voice Mode"       datatype="int"    direction="out" />
			<Pin name="Voice Mode List"  datatype="string" direction="out" />
			<Pin name="Voice Count"      datatype="int"    direction="out" />
			<Pin name="Voice Count List" datatype="string" direction="out" />
			
			<Pin name="Host Polyphony" direction="in" datatype="int" hostConnect="Polyphony" />
			<Pin name="Host Polyphony Reserve" direction="in" datatype="int" hostConnect="ReserveVoices" />
			<Pin name="Host VoiceAllocationMode" direction="in" datatype="int" hostConnect="VoiceAllocationMode" />
			<Pin name="Host PortamentoTime" hostConnect="Portamento" />
			<Pin name="Host BenderRange" hostConnect="BenderRange" />

			<Pin name="Polyphony" direction="out" datatype="int" private="true" />
			<Pin name="Item List" direction="out" datatype="string" private="true" />
			<Pin name="Polyphony Reserve" direction="out" datatype="int" private="true" />
			<Pin name="Item List" direction="out" datatype="string" private="true" />
			<Pin name="Voice Stealing" direction="out" datatype="int" private="true" />
			<Pin name="Item List" direction="out" datatype="string" private="true" />

			<Pin name="Mono Mode" direction="out" datatype="bool" private="true" />
			<Pin name="Mono Retrigger" direction="out" datatype="bool" private="true" />
			<Pin name="Mono Note Priority" direction="out" datatype="int" private="true" />
			<Pin name="Item List" direction="out" datatype="string" private="true" />

			<Pin name="Glide" direction="out" datatype="float" private="true" />
			<Pin name="Glide Mode" direction="out" datatype="int" private="true" />
			<Pin name="Item List" direction="out" datatype="string" private="true" />
			<Pin name="Glide Timing" direction="out" datatype="int" private="true" />
			<Pin name="Item List" direction="out" datatype="string" private="true" />

			<Pin name="BenderRange" direction="out" datatype="int" private="true" />
			<Pin name="Item List" direction="out" datatype="string" private="true" />

			<Pin name="Voice Refresh" direction="out" datatype="int" private="true" />
			<Pin name="Item List" direction="out" datatype="string" private="true" />
		</GUI>
		
	</Plugin>-->
	
	
	
</PluginList>
